2.1.09

Internet Explorer 6 bajo Linux (IE4Linux) con Java

Puede parecer una falacia pero en ciertos escenarios es útil. Instalarlo es muy simple.

Para cumplir dependencias debemos instalar wine y cabextract.

Luego nos situamos en /usr/src y realizamos la instalación

cd /usr/src/
wget http://www.tatanka.com.br/ies4linux/downloads/ies4linux-latest.tar.gz
tar zxvf ies4linux-latest.tar.gz
cd ies4linux-version-descargada
./ies4linux


Esto hará que nos salga la ventana de instalación de IE, donde podremos cambiar el idioma a ES y picando en Advanced podemos cambiar el directorio de instalación por defecto:



Una vez realizada la instalación de IE, necesitamos Java. Descargamos la versión de Java deseada de java.sun.com y ejecutamos la siguiente sentencia:

export WINEPREFIX=/opt/ies4linux/ie6
wine /root/Descargas/jre-1_6_0_5-windows-i586.exe


Finalizada la instalación de Java podemos ejecutar IE mediante el comando:

wine /opt/ies4linux/ie6/drive_c/Program\ Files/iexplore.exe http://joservilas.blogspot.com

5 comentarios:

wholesale jewelry dijo...

I like your blog

广西休闲游戏中心 dijo...

Can not think of a different culture, for some things, will also share the same view!

安徽棋牌游戏中心 dijo...

A friend told me this place I have been looking for, I come, it turned out, I have not disappointed, good Blog

James dijo...

Jose Ramon he intentado hacer lo que indicas en tu blogs para ejecutar ies4linux y java, lo he hecho repetidas veces en dos distribuciones (ubuntu y fedora) y en ninguna de las dos me dan resultado, es imposible ejecutar applet de java en ies4linux, ¿me podrias hechar una mano a ver como lo has hecho tu?, que distribucion, si has instalado algo especial a wine etc.

Jose Ramon Vilas dijo...

Lo utilicé en un proyecto con SuSE Enterprise 10 para ejecutar un montón de applets que se mostraban inestables con Linux.
No es que el funcionamiento sea perfecto, pero al menos es usable (algo inestable también).